{
    "format_version": "1.10.0",
    "minecraft:client_entity": {
        "description": {
            "identifier": "sg_vtng:mechanical_crafter",
            "materials": {
                "default": "entity_alphatest",
                "filters": "entity_alphablend"
            },
            "textures": {
                "off": "textures/sg/vtng/blocks/mechanical_crafter_off",
                "on": "textures/sg/vtng/blocks/mechanical_crafter_on"
            },
            "geometry": {
                "default": "geometry.sg_vtng.mechanical_crafting_table"
            },
            "animations": {
                "rotation": "animation.sg_vtng.mechanical_crafter.rotation"
            },
            "scripts": {
                "animate": [
                    "rotation"
                ]
            },
            "render_controllers": [
                "controller.render.sg_vtng.mechanical_crafter"
            ]
        }
    }
}